## org.codehaus.groovy.control
Class ParserPluginFactory

    java.lang.Object
      org.codehaus.groovy.control.ParserPluginFactory

Direct Known Subclasses:
  AntlrParserPluginFactory

    public abstract class ParserPluginFactory

extends Object

A factory of parser plugin instances

Version:
  $Revision: 6778 $

Constructor Summary
`ParserPluginFactory()`

Method Summary
`abstract ParserPlugin` `createParserPlugin()`
`static ParserPluginFactory` `newInstance(boolean useNewParser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserPluginFactory

    public ParserPluginFactory()

Method Detail

### newInstance

    public static ParserPluginFactory newInstance(boolean useNewParser)

### createParserPlugin

    public abstract ParserPlugin createParserPlugin()

Copyright © 2003-2008 The Codehaus. All rights reserved.